parse-ruby-client installation on OS X

after following the official guide of parse-ruby-client,

gem install parse-ruby-client

I still got some complain like this

Snip20150310 6

here you go,
first,
make you osx keep your env in even sudo,

sudo visudo

Snip20150310 5

setup your GEM_PATH and GEM_HOME

# check path first
gem env
# export them
export GEM_HOME="/Users/Nil/.gem/ruby/2.0.0"
export GEM_PATH="/Library/Ruby/Gems/2.0.0:/Users/Nil/.gem/ruby/2.0.0:/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/gems/2.0.0"

then, the most important,
and parse-ruby-client missing this in dependencies,
or says they assume everyone already did before,

gem install bundler

I thought I already did before… that’s why I spent some time to figure out…

Advertisements